Bug 153044 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:09 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 02:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the warnings (6.20 KB, patch)
2005-04-01 00:06 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:09:23 EST
Description of problem:

/usr/share/system-config-mouse/mouse_gui.py:115: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.mouseView.set_property("headers-visible", gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:134: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.serialButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:137: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  hbox.pack_start(self.Xemu3CheckButton, gtk.TRUE)
/usr/share/system-config-mouse/mouse_gui.py:138: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  hbox.pack_start(self.serialButton, gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:142: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.myVbox.pack_start(self.mouseViewSW, gtk.TRUE)
/usr/share/system-config-mouse/mouse_gui.py:143: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.myVbox.pack_start(hbox, gtk.FALSE, 3)
/usr/share/system-config-mouse/mouse_gui.py:150: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.serialDlg.vbox.pack_start(label, gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:151: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.serialDlg.vbox.pack_start(self.deviceViewSW, gtk.TRUE)
/usr/share/system-config-mouse/mouse_gui.py:273: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  self.mouseView.expand_row(path, gtk.TRUE)
/usr/share/system-config-mouse/mouse_gui.py:225: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.serialButton.set_sensitive(gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:228: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.Xemu3CheckButton.set_active(gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:280: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.mouseView.set_cursor(path, col, gtk.FALSE)
/usr/share/system-config-mouse/mouse_gui.py:283: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  0.5, 0.5)
/usr/share/system-config-mouse/mouse_gui.py:314: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.Xemu3CheckButton.set_active(gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:130:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  iconBox = gtk.HBox(gtk.FALSE, 5)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:132:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  iconBox.pack_start(self.icon, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:137:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  msgLabel.set_line_wrap(gtk.TRUE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:141:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  toplevel.pack_start(iconBox, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:142:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  toplevel.pack_start(self.myVbox, gtk.TRUE)


Version-Release number of selected component (if applicable):

1.2.9-1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-04-01 00:06:06 EST
Created attachment 112565 [details]
patch to fix the warnings
Comment 2 Colin Charles 2005-04-01 00:06:39 EST
attached patch fixes said warnings.

Note You need to log in before you can comment on or make changes to this bug.